<?php
namespace nulib\schema\input;

use nulib\php\access\GetAccess;
use nulib\php\access\IAccess;

/**
 * Class GetInput: accès à des paramètres de formulaire de type GET uniquement
 *
 * cette implémentation lit depuis les paramètres de formulaire et écrit dans
 * une référence
 */
class GetInput extends FormInput {
  protected function formAccess(IAccess $access): IAccess {
    return new GetAccess(null, [
      "allow_empty" => $access->isAllowEmpty(),
    ]);
  }
}
